Bug 573012 - Review Request: desktopcouch - A Desktop CouchDB instance
Summary: Review Request: desktopcouch - A Desktop CouchDB instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Tom "spot" Callaway
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-03-12 15:31 UTC by Jeffrey C. Ollie
Modified: 2010-03-23 01:56 UTC (History)
4 users (show)

Fixed In Version: desktopcouch-0.6.3-3.fc13
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-23 01:55:43 UTC
tcallawa: fedora-review+
tcallawa: fedora-cvs+


Attachments (Terms of Use)

Description Jeffrey C. Ollie 2010-03-12 15:31:36 UTC
Spec URL: http://jcollie.fedorapeople.org/desktopcouch.spec
SRPM URL: http://jcollie.fedorapeople.org/desktopcouch-0.6.3-1.fc12.src.rpm
Description: A CouchDB on every desktop, and the code to help it happen.

rpmlint shows the following:

desktopcouch.noarch: W: only-non-binary-in-usr-lib
desktopcouch.src:93: E: hardcoded-library-path in %{_prefix}/lib/desktopcouch/desktopcouch-service
desktopcouch.src:94: E: hardcoded-library-path in %{_prefix}/lib/desktopcouch/desktopcouch-stop
desktopcouch.src:95: E: hardcoded-library-path in %{_prefix}/lib/desktopcouch/desktopcouch-get-port
5 packages and 0 specfiles checked; 3 errors, 1 warnings.

I think that these may be false alarms though.

Comment 1 Tom "spot" Callaway 2010-03-12 15:49:19 UTC
They're really not false alarms. I have no idea why those binaries end up in /usr/lib/desktopcouch. They need to be in %{_bindir}. My spec had this line at the end of %install:

# Really? You put them there? In /usr/lib (note, not %{_libdir})? Fail.
mv %{buildroot}/usr/lib/desktopcouch/desktopcouch-* %{buildroot}%{_bindir}

A few other points:

* The desktopcouch package should own %dir %{_sysconfdir}/xdg/desktop-couch/
* The descriptions need to be relevant and specific for the subpackages, even if they simply repeat their Summary.
* You do not need to copy the licenses and docs for all of the packages where there is a forced dependency chain. This means that only desktopcouch needs them not the others.
* Dependencies on subpackages should be on desktopcouch = %{version}-%{release}, not just %{version}.

Nevertheless, a good start. Fix those issues and I'll finish out the review.

Comment 2 Jeffrey C. Ollie 2010-03-12 16:40:11 UTC
OK, I think I have covered all of the points:

Spec URL: http://jcollie.fedorapeople.org/desktopcouch.spec
SRPM URL: http://jcollie.fedorapeople.org/desktopcouch-0.6.3-2.fc12.src.rpm

rpmlint now says:

desktopcouch.src:76: E: hardcoded-library-path in %{buildroot}/usr/lib/desktopcouch/desktopcouch-*
python-desktopcouch.noarch: W: no-documentation
5 packages and 0 specfiles checked; 1 errors, 1 warnings.

Comment 3 Tom "spot" Callaway 2010-03-12 18:40:32 UTC
== REVIEW ==

Bad:
- desktop-file-install/desktop-file-validate not used:
https://fedoraproject.org/wiki/Packaging/Guidelines#Desktop_files

Good:

- rpmlint checks return:
desktopcouch.src:76: E: hardcoded-library-path in %{buildroot}/usr/lib/desktopcouch/desktopcouch-*
python-desktopcouch.noarch: W: no-documentation

Both are safe to ignore.

- package meets naming guidelines
- package meets packaging guidelines
- license (LGPLv3) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream
(SHA256: a0704e6c1c381874582eaf82c8dc7498bb3d480aef3bf1ee1548f2ae9775a05f)
- package compiles on devel (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime

***** 
Fix that minor item with the desktop files and I'll approve this.

Comment 4 Jeffrey C. Ollie 2010-03-12 19:27:09 UTC
Spec URL: http://jcollie.fedorapeople.org/desktopcouch.spec
SRPM URL: http://jcollie.fedorapeople.org/desktopcouch-0.6.3-3.fc12.src.rpm

Desktop file is now validated.

Comment 5 Tom "spot" Callaway 2010-03-12 19:30:27 UTC
Fantastic, great work. 

APPROVED.

Please push this into at least F-13, as the new stable branch of gwibber will need it.

Comment 6 Jeffrey C. Ollie 2010-03-12 19:46:45 UTC
New Package CVS Request
=======================
Package Name: desktopcouch
Short Description: A CouchDB instance on every desktop
Owners: jcollie
Branches: devel F-13 F-12
InitialCC: jcollie

Comment 7 Tom "spot" Callaway 2010-03-15 21:45:41 UTC
CVS done (by process-cvs-requests.py).

Comment 8 Fedora Update System 2010-03-16 03:36:35 UTC
desktopcouch-0.6.3-3.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/desktopcouch-0.6.3-3.fc13

Comment 9 Fedora Update System 2010-03-16 03:47:32 UTC
desktopcouch-0.6.3-3.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/desktopcouch-0.6.3-3.fc12

Comment 10 Fedora Update System 2010-03-16 23:18:10 UTC
desktopcouch-0.6.3-3.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update desktopcouch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/desktopcouch-0.6.3-3.fc13

Comment 11 Fedora Update System 2010-03-16 23:23:08 UTC
desktopcouch-0.6.3-3.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update desktopcouch'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/desktopcouch-0.6.3-3.fc12

Comment 12 Fedora Update System 2010-03-23 01:55:38 UTC
desktopcouch-0.6.3-3.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2010-03-23 01:56:24 UTC
desktopcouch-0.6.3-3.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.